Debian Bug report logs - #116642
debconf: need to put -- in dialog invocation for string types, too

version graph

Package: debconf; Maintainer for debconf is Debconf Developers <debconf-devel@lists.alioth.debian.org>; Source for debconf is src:debconf.

Reported by: Branden Robinson <branden@debian.org>

Date: Mon, 22 Oct 2001 13:33:04 UTC

Severity: normal

Found in version 1.0.15

Fixed in version debconf/1.0.16

Done: Joey Hess <joeyh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#116642; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
New Bug report received and forwarded. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debconf: need to put -- in dialog invocation for string types, too
Date: Mon, 22 Oct 2001 08:31:53 -0500
[Message part 1 (text/plain, inline)]
Package: debconf
Version: 1.0.15
Severity: normal

Say I have a string template and the default value is "-10"...

...and I'm using the dialog frontend.

Bang.

-- System Information
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux apocalypse 2.4.7 #1 Sun Jul 22 19:11:47 EST 2001 i686
Locale: LANG=C, LC_CTYPE=en_US.iso-8859-1

Versions of packages debconf depends on:
ii  fileutils                     4.1-7      GNU file management utilities.
ii  perl-base                     5.6.1-5    The Pathologically Eclectic Rubbis

-- 
G. Branden Robinson                |      The noble soul has reverence for
Debian GNU/Linux                   |      itself.
branden@deadbeast.net              |      -- Friedrich Nietzsche
http://www.deadbeast.net/~branden/ |
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#116642; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 116642@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Branden Robinson <branden@debian.org>, 116642@bugs.debian.org, dialog@packages.debian.org
Subject: Re: Bug#116642: debconf: need to put -- in dialog invocation for string types, too
Date: Mon, 22 Oct 2001 12:22:25 -0400
Branden Robinson wrote:
> Say I have a string template and the default value is "-10"...
> 
> ...and I'm using the dialog frontend.
> 
> Bang.

There's a small problem: Dialog can't really deal with -- very well.

joey@silk:~>dialog --inputbox foo 20 20 -- -10
Error: Expected no more than 4 tokens for --inputbox, have 5.
Use --help to list options.
joey@silk:~>dialog --inputbox -- foo 20 20 -10
Error: Expected no more than 4 tokens for --inputbox, have 5.
Use --help to list options.

Whiptail handles any of those ok.

How important is it that I fix this immediatly (which would mean
dropping support for dialog and requiring only whiptail)? Would it be
all right if I get dialog fixed first?

-- 
see shy jo



Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#116642; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #15 received at 116642@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: Joey Hess <joeyh@debian.org>
Cc: 116642@bugs.debian.org, dialog@packages.debian.org
Subject: Re: Bug#116642: debconf: need to put -- in dialog invocation for string types, too
Date: Tue, 23 Oct 2001 01:43:34 -0500
[Message part 1 (text/plain, inline)]
On Mon, Oct 22, 2001 at 12:22:25PM -0400, Joey Hess wrote:
> There's a small problem: Dialog can't really deal with -- very well.
[...]
> How important is it that I fix this immediatly (which would mean
> dropping support for dialog and requiring only whiptail)? Would it be
> all right if I get dialog fixed first?

It would be nice for this to be fixed in time for woody's release, so
that I can ask the debconf question in xserver-common that exercises
this bug.

-- 
G. Branden Robinson                |
Debian GNU/Linux                   |      If encryption is outlawed, only
branden@debian.org                 |      outlaws will @goH7Ok=<q4fDj]Kz?.
http://people.debian.org/~branden/ |
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Joey Hess <joeyh@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Branden Robinson <branden@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 116642-close@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 116642-close@bugs.debian.org
Subject: Bug#116642: fixed in debconf 1.0.16
Date: Tue, 23 Oct 2001 14:55:26 -0400
We believe that the bug you reported is fixed in the latest version of
debconf, which has been installed in the Debian FTP archive:

debconf_1.0.16.dsc
  to pool/main/d/debconf/debconf_1.0.16.dsc
debconf_1.0.16.tar.gz
  to pool/main/d/debconf/debconf_1.0.16.tar.gz
debconf-doc_1.0.16_all.deb
  to pool/main/d/debconf/debconf-doc_1.0.16_all.deb
debconf-utils_1.0.16_all.deb
  to pool/main/d/debconf/debconf-utils_1.0.16_all.deb
debconf_1.0.16_all.deb
  to pool/main/d/debconf/debconf_1.0.16_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 116642@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Hess <joeyh@debian.org> (supplier of updated debconf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 19 Oct 2001 16:39:52 -0400
Source: debconf
Binary: debconf-utils debconf debconf-doc
Architecture: source all
Version: 1.0.16
Distribution: unstable
Urgency: low
Maintainer: Joey Hess <joeyh@debian.org>
Changed-By: Joey Hess <joeyh@debian.org>
Description: 
 debconf    - Debian configuration management system
 debconf-doc - Debian configuration management system documentation
 debconf-utils - Debconf utilities
Closes: 116275 116642
Changes: 
 debconf (1.0.16) unstable; urgency=low
 .
   * Typo, Closes: #116275
   * Added dashsep support for password and text elements in the dialog
     frontend. Closes: #116642
Files: 
 1c8b2474de11cad0a75df572c4554f87 664 admin optional debconf_1.0.16.dsc
 860a7dc875e9475ef0ce8ead2745cb14 202231 admin optional debconf_1.0.16.tar.gz
 123f2e1ba23b200f138f4dd88662957b 82784 admin important debconf_1.0.16_all.deb
 4e3f9492148a1e8f1518a1ea09b49a42 94708 doc optional debconf-doc_1.0.16_all.deb
 79cfa9eff3eac89fdf8e68ffb7f8523f 70746 devel optional debconf-utils_1.0.16_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE71KkY2tp5zXiKP0wRAownAKDRTDy4vVF3FQPjDwtWdE/3JNU7PwCgtcjz
uRdJaX8rXD09V93VQy6/V7Y=
=1O8m
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:34:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.